// $Id: mydebug.h,v 1.7 2000/03/20 20:13:37 jsixt Exp $

#include <kdebug.h>
#include <assert.h>

#ifdef ASSERT
#undef ASSERT
#endif

#ifdef KASSERT3
#define ASSERT(x) KASSERT3((x), KDEBUG_INFO, 0, "assertion failed: %s in %s:%d", #x, __FILE__,__LINE__)
#else
# ifdef NDEBUG
#  define ASSERT(x) ((void)0)
# else
#  define ASSERT(x) ((x) ? (void)0 : kDebugInfo("%s", (QString("assertion failed: ") + #x).ascii()))
# endif
#endif
#ifdef WANT_TRACE_OUTPUT
# ifndef KDEBUG
#  ifdef kDebugArea // "modern" KDE2
#   define TRACE(x) kDebugInfo("%s", (const char*)(x))
#  else // KRASH release
#   define TRACE(x) kdebug(KDEBUG_INFO,0,"%s", (const char*)(x))
#  endif
# else  
#  define TRACE(x) KDEBUG(KDEBUG_INFO,0,(x))
# endif
#else
#define TRACE(x) ((void)0)
#endif

// KDE 2 compatibility; placed here because this file is included everywhere
#if QT_VERSION >= 200
#define getCaption caption
#define getConfig config
#endif
